NullLifecycleAdapter (Mule ESB 2.2.1 API)
Keywords: org.mule.component.NullLifecycleAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.component
Class NullLifecycleAdapter

    java.lang.Object
      org.mule.component.DefaultLifecycleAdapter
          org.mule.component.NullLifecycleAdapter

All Implemented Interfaces:
  LifecycleAdapter, Disposable, Initialisable, Lifecycle, Startable, Stoppable

    public class NullLifecycleAdapter

extends DefaultLifecycleAdapter

`NullLifecycleAdapter` is a lifecycle adaptor implementation that performs no Mule lifecycle propagation to Mule service component implementations. This can be used when the service component implementation is looked up from a container and therefore has it's own lifecycle management.

Field Summary

Fields inherited from class org.mule.component.DefaultLifecycleAdapter
`component, componentObject, entryPointResolver, logger`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`NullLifecycleAdapter(Object componentObject, JavaComponent component, EntryPointResolverSet entryPointResolver, MuleContext muleContext)`

Method Summary
`void` | `dispose()` Propagates dispose() life-cycle to component object implementations if they implement the mule `Disposable` interface.
`void` | `initialise()` Propagates initialise() life-cycle to component object implementations if they implement the mule `Initialisable` interface.
`boolean` | `isDisposed()`
`boolean` | `isStarted()`
`void` | `start()` Propagates start() life-cycle to component object implementations if they implement the mule `Startable` interface.
`void` | `stop()` Propagates stop() life-cycle to component object implementations if they implement the mule `Stoppable` interface.

Methods inherited from class org.mule.component.DefaultLifecycleAdapter
`configureBinding, invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullLifecycleAdapter

    public NullLifecycleAdapter(Object componentObject,
                                JavaComponent component,
                                EntryPointResolverSet entryPointResolver,
                                MuleContext muleContext)
                         throws MuleException

Throws:
  `MuleException`

Method Detail

### start

    public void start()
               throws MuleException

  Description copied from class: `DefaultLifecycleAdapter`
  Propagates start() life-cycle to component object implementations if they implement the mule `Startable` interface. NOT: It is up to component implementations to ensure their implementation of start() is thread-safe.

  Specified by:
    `start` in interface `Startable`
  Overrides:
    `start` in class `DefaultLifecycleAdapter`
  Throws:
    `MuleException`

### stop

    public void stop()
              throws MuleException

  Description copied from class: `DefaultLifecycleAdapter`
  Propagates stop() life-cycle to component object implementations if they implement the mule `Stoppable` interface. NOT: It is up to component implementations to ensure their implementation of stop() is thread-safe.

  Specified by:
    `stop` in interface `Stoppable`
  Overrides:
    `stop` in class `DefaultLifecycleAdapter`
  Throws:
    `MuleException`

### dispose

    public void dispose()

  Description copied from class: `DefaultLifecycleAdapter`
  Propagates dispose() life-cycle to component object implementations if they implement the mule `Disposable` interface. NOT: It is up to component implementations to ensure their implementation of dispose() is thread-safe.

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `DefaultLifecycleAdapter`

### isStarted

    public boolean isStarted()

  Specified by:
    `isStarted` in interface `LifecycleAdapter`
  Overrides:
    `isStarted` in class `DefaultLifecycleAdapter`
  Returns:
    true if the service has been started

### isDisposed

    public boolean isDisposed()

  Specified by:
    `isDisposed` in interface `LifecycleAdapter`
  Overrides:
    `isDisposed` in class `DefaultLifecycleAdapter`
  Returns:
    whether the service managed by this lifecycle has been disposed

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from class: `DefaultLifecycleAdapter`
  Propagates initialise() life-cycle to component object implementations if they implement the mule `Initialisable` interface.

  NOTE: It is up to component implementations to ensure their implementation of `initialise()` is thread-safe.

  Specified by:
    `initialise` in interface `Initialisable`
  Overrides:
    `initialise` in class `DefaultLifecycleAdapter`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.